---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/pages_access/pagesaccess__delete_page_access.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Delete user/group access to a page

<!-- markdownlint-disable-file -->

Deletes a specific personal access to a page by its identifier.

Use the `prevent_selflock=true` parameter to prevent accidentally locking the current user out of access.

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-delete);margin-bottom: 12px">

<div class="openapi__request">

DELETE {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/pages/{idx}/access/{access_id}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_access_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Access ID

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Page ID
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_prevent_selflock_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

If `true`, an error is raised when deleting an access would cause the co-author to lose read access or access management permissions

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__204">

## 204 No Content

No Content

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{}
```

{% endcut %}

#|
|| **Name** | **Description** ||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.